Bug 131300 - User-supplied spec files not working
User-supplied spec files not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: RPM Plug-in (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-30 15:36 EDT by Rick Moseley
Modified: 2007-04-18 13:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 10:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Moseley 2004-08-30 15:36:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
If the user supplies their own spec file outside of the project's
eclipse_name.spec file, the "export" function does not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a C project and import a source RPM
2. copy the eclipse_name.spec file to another directory outside the
project
3. delete the eclipse_name.spec file from the project
4. try to export the project and "Browse" to the eclipse_name.spec
spec file that was copied outside the project and select it as the
spec file to use
5. try to export a source and/or binary rpm now
    

Actual Results:  an error occurs with an empty message

Expected Results:  a binary and/or source rpm should be exported

Additional info:
Comment 1 Rick Moseley 2004-09-07 10:13:08 EDT
Corrected logic to correctly identify when user specifies a spec file.

Note You need to log in before you can comment on or make changes to this bug.